Update client
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Patch, RequestUri = new Uri("https://api.koibox.cloud/api/clientes/1/"), Headers = { { "X-Koibox-Key", "<X-Koibox-Key>" }, }, Content = new StringContent("{ \"nombre\": \"example\", \"apellido1\": \"example\", \"apellido2\": \"example\", \"dni\": \"example\", \"movil\": \"example\", \"fijo\": \"example\", \"email\": \"hello@example.com\", \"direccion\": \"example\", \"localidad\": \"example\", \"codigo_postal\": \"example\", \"fecha_nacimiento\": \"2026-04-15\", \"is_suscrito_newsletter\": true, \"is_suscrito_encuestas\": true, \"is_active\": true, \"is_agree_notificaciones_sms\": true, \"is_agree_notificaciones_email\": true, \"sexo\": \"h\", \"notas\": \"example\", \"foto\": \"https://example.com\", \"descuento_ventas\": 1, \"is_citas_online\": true, \"code\": 1, \"manual_code\": \"example\", \"is_envios_sms\": false, \"is_envios_email\": false, \"prefijo_tel\": \"example\", \"provincia\": { \"id\": 1, \"value\": 1, \"text\": \"example\" }, \"created_by\": { \"value\": 1, \"text\": \"example\", \"color\": \"example\", \"username\": \"hello@example.com\", \"foto_url_absolute_path\": \"https://example.com\" }, \"categoria\": { \"value\": 1, \"text\": \"example\", \"nombre\": \"example\", \"id\": 1, \"orden\": 1, \"is_active\": true }, \"como_nos_conocio\": { \"value\": 1, \"text\": \"example\" }, \"informacion_clinica\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.koibox.cloud/api/clientes/1/")) .header("X-Koibox-Key", "<X-Koibox-Key>") .header("Content-Type", "application/json") .method("PATCH", HttpRequest.BodyPublishers.ofString("{ \"nombre\": \"example\", \"apellido1\": \"example\", \"apellido2\": \"example\", \"dni\": \"example\", \"movil\": \"example\", \"fijo\": \"example\", \"email\": \"hello@example.com\", \"direccion\": \"example\", \"localidad\": \"example\", \"codigo_postal\": \"example\", \"fecha_nacimiento\": \"2026-04-15\", \"is_suscrito_newsletter\": true, \"is_suscrito_encuestas\": true, \"is_active\": true, \"is_agree_notificaciones_sms\": true, \"is_agree_notificaciones_email\": true, \"sexo\": \"h\", \"notas\": \"example\", \"foto\": \"https://example.com\", \"descuento_ventas\": 1, \"is_citas_online\": true, \"code\": 1, \"manual_code\": \"example\", \"is_envios_sms\": false, \"is_envios_email\": false, \"prefijo_tel\": \"example\", \"provincia\": { \"id\": 1, \"value\": 1, \"text\": \"example\" }, \"created_by\": { \"value\": 1, \"text\": \"example\", \"color\": \"example\", \"username\": \"hello@example.com\", \"foto_url_absolute_path\": \"https://example.com\" }, \"categoria\": { \"value\": 1, \"text\": \"example\", \"nombre\": \"example\", \"id\": 1, \"orden\": 1, \"is_active\": true }, \"como_nos_conocio\": { \"value\": 1, \"text\": \"example\" }, \"informacion_clinica\": \"example\" }")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"nombre\": \"example\", \"apellido1\": \"example\", \"apellido2\": \"example\", \"dni\": \"example\", \"movil\": \"example\", \"fijo\": \"example\", \"email\": \"hello@example.com\", \"direccion\": \"example\", \"localidad\": \"example\", \"codigo_postal\": \"example\", \"fecha_nacimiento\": \"2026-04-15\", \"is_suscrito_newsletter\": true, \"is_suscrito_encuestas\": true, \"is_active\": true, \"is_agree_notificaciones_sms\": true, \"is_agree_notificaciones_email\": true, \"sexo\": \"h\", \"notas\": \"example\", \"foto\": \"https://example.com\", \"descuento_ventas\": 1, \"is_citas_online\": true, \"code\": 1, \"manual_code\": \"example\", \"is_envios_sms\": false, \"is_envios_email\": false, \"prefijo_tel\": \"example\", \"provincia\": { \"id\": 1, \"value\": 1, \"text\": \"example\" }, \"created_by\": { \"value\": 1, \"text\": \"example\", \"color\": \"example\", \"username\": \"hello@example.com\", \"foto_url_absolute_path\": \"https://example.com\" }, \"categoria\": { \"value\": 1, \"text\": \"example\", \"nombre\": \"example\", \"id\": 1, \"orden\": 1, \"is_active\": true }, \"como_nos_conocio\": { \"value\": 1, \"text\": \"example\" }, \"informacion_clinica\": \"example\" }");Request request = new Request.Builder() .url("https://api.koibox.cloud/api/clientes/1/") .patch(body) .addHeader("X-Koibox-Key", "<X-Koibox-Key>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'PATCH', url: 'https://api.koibox.cloud/api/clientes/1/', headers: {'X-Koibox-Key': '<X-Koibox-Key>', 'Content-Type': 'application/json'}, data: { nombre: 'example', apellido1: 'example', apellido2: 'example', dni: 'example', movil: 'example', fijo: 'example', email: 'hello@example.com', direccion: 'example', localidad: 'example', codigo_postal: 'example', fecha_nacimiento: '2026-04-15', is_suscrito_newsletter: true, is_suscrito_encuestas: true, is_active: true, is_agree_notificaciones_sms: true, is_agree_notificaciones_email: true, sexo: 'h', notas: 'example', foto: 'https://example.com', descuento_ventas: 1, is_citas_online: true, code: 1, manual_code: 'example', is_envios_sms: false, is_envios_email: false, prefijo_tel: 'example', provincia: {id: 1, value: 1, text: 'example'}, created_by: { value: 1, text: 'example', color: 'example', username: 'hello@example.com', foto_url_absolute_path: 'https://example.com' }, categoria: {value: 1, text: 'example', nombre: 'example', id: 1, orden: 1, is_active: true}, como_nos_conocio: {value: 1, text: 'example'}, informacion_clinica: 'example' }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.koibox.cloud/api/clientes/1/';const options = { method: 'PATCH', headers: {'X-Koibox-Key': '<X-Koibox-Key>', 'Content-Type': 'application/json'}, body: '{"nombre":"example","apellido1":"example","apellido2":"example","dni":"example","movil":"example","fijo":"example","email":"hello@example.com","direccion":"example","localidad":"example","codigo_postal":"example","fecha_nacimiento":"2026-04-15","is_suscrito_newsletter":true,"is_suscrito_encuestas":true,"is_active":true,"is_agree_notificaciones_sms":true,"is_agree_notificaciones_email":true,"sexo":"h","notas":"example","foto":"https://example.com","descuento_ventas":1,"is_citas_online":true,"code":1,"manual_code":"example","is_envios_sms":false,"is_envios_email":false,"prefijo_tel":"example","provincia":{"id":1,"value":1,"text":"example"},"created_by":{"value":1,"text":"example","color":"example","username":"hello@example.com","foto_url_absolute_path":"https://example.com"},"categoria":{"value":1,"text":"example","nombre":"example","id":1,"orden":1,"is_active":true},"como_nos_conocio":{"value":1,"text":"example"},"informacion_clinica":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.koibox.cloud/api/clientes/1/ \ --header 'Content-Type: application/json' \ --header 'X-Koibox-Key: <X-Koibox-Key>' \ --data '{ "nombre": "example", "apellido1": "example", "apellido2": "example", "dni": "example", "movil": "example", "fijo": "example", "email": "hello@example.com", "direccion": "example", "localidad": "example", "codigo_postal": "example", "fecha_nacimiento": "2026-04-15", "is_suscrito_newsletter": true, "is_suscrito_encuestas": true, "is_active": true, "is_agree_notificaciones_sms": true, "is_agree_notificaciones_email": true, "sexo": "h", "notas": "example", "foto": "https://example.com", "descuento_ventas": 1, "is_citas_online": true, "code": 1, "manual_code": "example", "is_envios_sms": false, "is_envios_email": false, "prefijo_tel": "example", "provincia": { "id": 1, "value": 1, "text": "example" }, "created_by": { "value": 1, "text": "example", "color": "example", "username": "hello@example.com", "foto_url_absolute_path": "https://example.com" }, "categoria": { "value": 1, "text": "example", "nombre": "example", "id": 1, "orden": 1, "is_active": true }, "como_nos_conocio": { "value": 1, "text": "example" }, "informacion_clinica": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Body
Section titled “Request Body”object
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Por defecto es un campo autoincremental, pero se puede sobreescribir siempre que no haya conflicto
Read-only
Read-only
Read-only
Read-only
Read-only
This field is required if you want to send SMS to the client
This field is required if you want to send emails to the client
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Responses
Section titled “Responses”The modified client
object
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Por defecto es un campo autoincremental, pero se puede sobreescribir siempre que no haya conflicto
Read-only
Read-only
Read-only
Read-only
Read-only
This field is required if you want to send SMS to the client
This field is required if you want to send emails to the client
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
Read-only
The access key has not been provided in the X-Koibox-Key header
Headers
Section titled “Headers”Indicates the required header for authentication
No valid access key has been provided
The resource was not found
